/* NAVIGATION */
nav {
  position: fixed;
  top: 0;
  left: 0;
  background-color: var(--dark);
  height: 4rem;
  width: 100%;
  box-shadow: 0px 0.1rem 0.4rem #00000070;
  z-index: 5;
}
.nav-logo {
  color: var(--dark);
  background-color: var(--light-hover);
  padding: 0 1.5rem;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.nav-items {
  display: flex;
  flex-direction: row;
  margin-right: 1.5rem;
  align-items: center;
}
.nav-items li {
  margin-right: 1rem;
  display: inline-block;
}
.nav-items li a {
  color: var(--light);
}
.nav-items li a:hover {
  color: var(--light-hover);
}
.nav-items li:last-child {
  margin-right: 0;
}
.nav-toggle {
  display: none;
}
.nav-button {
  margin: 0;
  padding: 0.5rem 1rem;
  background-color: var(--light-hover);
  color: var(--dark);
  border-radius: 1px;
}
.nav-button:hover {
  background-color: var(--dark);
  color: var(--light);
}

/* MOBILE VIEW */
@media only screen and (max-width: 600px) {
  .nav-toggle {
    display: block;
    background-color: transparent;
    border: 0;
    font-size: 1.5rem;
    color: var(--light);
    margin-top: -3px; /* shift to vertically align with the rest */
    margin-right: 1.5rem;
    padding: 0 0;
    cursor: pointer;
  }
  .nav-toggle:hover {
    color: var(--light-hover);
  }
  .nav-items {
    overflow-y: hidden;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-right: 0;
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--dark);
    margin-top: 4rem;
  }
  .nav-items li {
    margin-top: 1rem;
    margin-right: 0;
  }
  .nav-items li:last-child {
    margin-bottom: 1.5rem;
  }
}
